<!--


/*
------------------------------
File: posttool.js
Type: JavaScript
Author/Copyright: Florian Schmid (LordSmith)
Company: private
Desc:
Creates Forum-Code for Play-By-Post Forum Roleplaying sessions.

Last edit:
 *09.May.2011
------------------------------
 VERSION HISTORY:
 1.00: Release
*/

/*
###########################
LICENSE START
"MIT License"
###########################
Copyright (c) 2011 Florian Markus Schmid (aka LordSmith aka DM Spry), Switzerland

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

###########################
LICENSE END
###########################
*/


function createCode_Char ( ) {
	var sCode;
	
	var textChar = document.getElementById( "textChar");
	var textForum = document.getElementById( "textForum");

	sCode = "[color=blue][b][size=12pt]";
	sCode += textChar.value;
	sCode += ":[/size][/b][/color]\n";

	textForum.value += sCode;
	
return sCode;
};


function createCode_Roll ( ) {
	var sCode;
	
	var textRoll = document.getElementById( "textRoll");
	var textRollTimes = document.getElementById( "textRollTimes");
	var textRollDesc = document.getElementById( "textRollDesc");
	
	var textForum = document.getElementById( "textForum");

	sCode = "[roll]";
	sCode += "{" +textRollDesc.value+ "}";
	sCode += textRoll.value + "*" + textRollTimes.value;
	sCode +="[/roll]\n";

	textForum.value += sCode;
return sCode;
};


function createCode_Talk ( ) {
	var sCode;
	
	var textRoll = document.getElementById( "textTalk");
	
	var textForum = document.getElementById( "textForum");

	sCode = "[color=blue]>>";
	sCode += textTalk.value;
	sCode +="<<[/color]\n";

	textForum.value += sCode;
return sCode;
};

function createCode_OOC ( ) {
	var sCode;
	
	var textRoll = document.getElementById( "textOOC");
	
	var textForum = document.getElementById( "textForum");

	sCode = "[color=red][i]OOC: ";
	sCode += textOOC.value;
	sCode +="[/i][/color]\n";

	textForum.value += sCode;
return sCode;
};

-->